#include<stdio.h>
#include<stdlib.h>

//check the syntactic correctness of our work
#include "shcode.h"

/*
Note: may need to edit out the last comma from the last array element
	Otherwise things seem pretty good
*/
void main()
{
	FILE *fptr;
	unsigned int i;
	unsigned int total;
	unsigned int byteValue;

	fptr = fopen("ShCode.bin","rb");
	if(fptr==NULL)
	{
		printf("couldn't open file (ShCode.bin)\n");
		return;
	}
	printf("unsigned char ShCodeArray[]=\n");
	printf("{\n");

	i = 0;
	total = 0;
	byteValue = fgetc(fptr);
	printf("/* %08X */\t",0);

	while(byteValue!=EOF)
	{
		printf("0x%02X",byteValue);
		byteValue = fgetc(fptr);
		i++;
		total++;

		if(i==8){ printf(",\t\t"); }
		else if(i==16)
		{ 
			printf(",\n/* %08X */\t",total);
			i = 0;
		}
		else
		{
			printf(", ");
		}
	}

	printf("\n};\n");
	printf("//total number of bytes = %d\n",total);
	fclose(fptr);
}/*end main()----------------------------------------------------------------*/